Bug 217309 - service dhcp6s start fails unless /etc/server6_addr.conf exists
service dhcp6s start fails unless /etc/server6_addr.conf exists
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dhcpv6 (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-26 17:24 EST by Matthew Booth
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0266
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:26:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2006-11-26 17:24:16 EST
Description of problem:
/etc/init.d/dhcp6s contains the line:
[ -f /etc/server6_addr.conf ] || exit 0

server6_addr.conf is not documented anywhere. An example exists in
/usr/share/doc/dhcpv6-0.10/server6_addr.conf. It seems suspiciously similar to
dhcp6s.conf, leading me to suspect that it was deprecated in favour of
dhcp6s.conf. It is not referenced anywhere else in any config file or binary:

[root@mbooth ~]# rpm -ql dhcpv6 | xargs grep server6_addr
/etc/rc.d/init.d/dhcp6s:[ -f /etc/server6_addr.conf ] || exit 0

Removing the above line causes dhcp6s to function normally.

Version-Release number of selected component (if applicable):
dhcpv6-0.10-14_EL4
Comment 1 David Cantrell 2006-11-27 15:00:21 EST
Fixed in dhcpv6-0.10-15_EL4 and rawhide.  Setting some flags to see what happens.
Comment 2 RHEL Product and Program Management 2006-11-27 21:05:54 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 James Laska 2006-12-14 09:37:21 EST
This bug is filed against RHEL 4.4 ... but using RHEL5 flags.

Please use a separate bug for each product.
Comment 4 Ken Reilly 2006-12-14 18:18:16 EST
Reset the RHEL 5.0.0 flag to " " so this is tracked against the correct release.
And, I set the status to MODIFIED based on Comment #1. 

I'll leave it to the reporter and/or maintainer to open a separate bug for
RHEL5.0.0, if need be. 
Comment 5 David Cantrell 2006-12-15 11:41:54 EST
Like #217308, I confused myself with this one and thought it was RHEL5 and not
RHEL4 and had all the flags to do stuff with it, so it's been fixed in RHEL5.

Cloning so it can be tracked for RHEL5.
Comment 11 Red Hat Bugzilla 2007-05-01 19:26:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0266.html

Note You need to log in before you can comment on or make changes to this bug.